Bug 218020 - Review Request: postgrey - Postfix Greylisting Policy Server
Review Request: postgrey - Postfix Greylisting Policy Server
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Zullinger
Fedora Package Reviews List
: 182027 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-12-01 06:01 EST by Matthias Saou
Modified: 2016-02-23 10:37 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.27-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-12 14:28:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tmz: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-12-01 06:01:17 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/postgrey.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/postgrey-1.27-2.src.rpm
Postgrey is a Postfix policy server implementing greylisting.  When a request
for delivery of a mail is received by Postfix via SMTP, the triplet CLIENT_IP /
SENDER / RECIPIENT is built.  If it is the first time that this triplet is
seen, or if the triplet was first seen less than 5 minutes, then the mail gets
rejected with a temporary error. Hopefully spammers or viruses will not try
again later, as it is however required per RFC.
Comment 1 Jason Tibbitts 2006-12-01 10:07:00 EST
This already seems to be under review in #182027
Comment 2 Mike Wohlgemuth 2006-12-01 13:26:35 EST
I created the second rpm in #182027.  I am not currently an extras maintainer,
so if Matthias is, I think that clearly trumps me.  I'd be more than happy to
maintain the package, but I haven't even had time to figure out the process of
getting the proper access (I'm still migrating all of my boxes to FC5 from
another distro).  The one thing I do sort of like in my spec file is the
following, which builds a man page:

%{_bindir}/pod2man --center="Postgrey Policy Server for Postfix" --section="8"
postgrey > postgrey.8
Comment 3 Matthias Saou 2006-12-04 06:39:46 EST
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/postgrey.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/postgrey-1.27-3.src.rpm

Updated package with the man page now included.
It seems to me that the easiest to get postgrey included in Extras would be if
someone reviews this package.
Comment 4 Todd Zullinger 2006-12-22 11:16:42 EST
I'll review this Matthias.  (Fair warning: it's my first review, so if anyone
else wants to jump in and make sure it's done right, it will be welcome.)

* rpmlint runs without errors on the srpm (just a few warnings)

  $ rpmlint postgrey-1.27-3.src.rpm 
  W: postgrey strange-permission postgrey.init 0755
  W: postgrey setup-not-quiet

These warnings are minor and easily silenced with the addition of -q to %setup
and chmod'ing postgrey.init.  Neither of them are blockers as far as I know. 
Anyone know differently?

* Adheres to naming guidelines
* Specfile name matches package name
* Meets the packaging guidelines

The perl(IO::Multiplex) Requires seems unneeded.  RPM automatically picks up
perl(Net::Server::Multiplex) which is provided by the perl-Net-Server package
and perl-Net-Server requires perl-IO-Multiplex.

* License meets open-source requirements
* License included in %doc
* License field matches the upstream license
* Specfile is in American English
* Specfile is legible
* Source matches upstream (md5sum: df3a8b4a0c6ab7e8e5bb5be0de096c47)
* Builds, installs, and works on FC6, i386
* Owns directories that it creates
* Does not own files or dirs of other packages
* File list has no duplicates
* File perms are generally sane

Why is /var/spool/postfix/postgrey 0751?  I don't see anything in the postgrey
docs about the need to have such tight permissions on the dbdir.  Can you
enlighten me?

* Specfile includes %clean section
* Macros used consistently
* Package contains code or permissable content
* Builds in mock against fedora-{5,6,development}-i386-core targets
* Scriplets are sane
* Package functions correctly (tested on FC6)
Comment 5 Todd Zullinger 2006-12-23 11:39:43 EST
Two other minor points that were brought up in the other postgrey review by
Michael Fleming:

1) The preferred BuildRoot tag is
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

I'm sure there are some folks that would be bothered by this.  I'm not, but it
can't hurt to follow the guidelines.

2) The empty postgrey_whitelist_clients.local.  I noticed this in the rpmlint
output and thought it seemed okay to ignore, but perhaps a better solution is to
add a comment to the file instead of just creating an empty file.

echo "# Local clients that should not be greylisted.  See postgrey(8)." \
    > %{buildroot}%{confdir}/postgrey_whitelist_clients.local

A note on this file in README-rpm might also be warranted.

Sorry for not mentioning these things on the first pass.
Comment 6 Matthias Saou 2007-02-12 11:39:40 EST
I've finally gotten to fixing the latest little bits of the package. See
postgrey-1.27-4.fc6 here :


* Mon Feb 12 2007 Matthias Saou <http://freshrpms.net/> 1.27-4
- Silence %%setup.
- Fix init script mode in the srpm.
- Remove explicit perl(IO::Multiplex) requirement, not needed on FC6 (but
  probably still on RHEL4).
- Add a comment line to the empty local whitelist file.
Comment 7 Todd Zullinger 2007-02-12 13:26:17 EST
Good deal Matthias.  Thanks for making this package.

I've set the fedora-review flag.  I'm not sure yet on the new process whether I
should also set fedora-cvs or if you should.  So I've left it alone for now.

Comment 8 Christopher Meng 2014-02-05 21:59:45 EST
Package Change Request
Package Name: postgrey
New Branches: epel7
Owners: cicku thias
Comment 9 Jon Ciesla 2014-02-06 08:05:31 EST
Git done (by process-git-requests).
Comment 10 Peter Lemenkov 2016-02-23 10:37:05 EST
*** Bug 182027 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.